[Overview][Constants][Types][Classes][Index] | Reference for unit 'IBConnection' (#fcl)

# TIBConnection.GetConnectionInfo

Return some information about the connection

## Declaration

Source position: ibconnection.pp line 127

`public function TIBConnection.GetConnectionInfo(`
`InfoType: TConnInfoType`
`):string; override;`

## Arguments

`InfoType` |  | The kind of connection information to be returned.

## Function result

Requested information as a string value.

## Description

GetConnectionInfo overrides TSQLConnection.GetConnectionInfo to return the relevant information for the Interbase/Firebird connection.

## See also

TSQLConnection.GetConnectionInfo |  | Return some information about the connection
TConnInfoType |  | Connection information to be retrieved